.croppie-container {
    width: 100%;
    height: 100%;
}

.croppie-container .cr-image {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    transform-origin: 0 0;
    max-height: none;
    max-width: none;
}

.croppie-container .cr-boundary {
    position: relative;
    overflow: hidden;
    margin: 0 auto;
    z-index: 1;
    border-radius: .6em;
    width: 100%;
    height: 100%;
}

.croppie-container .cr-viewport,
.croppie-container .cr-resizer {
    position: absolute;
    border: 2px solid #fff;
    margin: auto;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    box-shadow: 0 0 2000px 2000px rgba(255, 255, 255, 0.7);
    z-index: 0;
}

.croppie-container .cr-resizer {
  z-index: 2;
  box-shadow: none;
  pointer-events: none;
}

.croppie-container .cr-resizer-vertical,
.croppie-container .cr-resizer-horisontal {
  position: absolute;
  pointer-events: all;
}

.croppie-container .cr-resizer-vertical::after,
.croppie-container .cr-resizer-horisontal::after {
    display: block;
    position: absolute;
    box-sizing: border-box;
    border: 1px solid black;
    background: #fff;
    width: 10px;
    height: 10px;
    content: '';
}

.croppie-container .cr-resizer-vertical {
  bottom: -5px;
  cursor: row-resize;
  width: 100%;
  height: 10px;
}

.croppie-container .cr-resizer-vertical::after {
    left: 50%;
    margin-left: -5px;
}

.croppie-container .cr-resizer-horisontal {
  right: -5px;
  cursor: col-resize;
  width: 10px;
  height: 100%;
}

.croppie-container .cr-resizer-horisontal::after {
    top: 50%;
    margin-top: -5px;
}

.croppie-container .cr-original-image {
    display: none;
}

.croppie-container .cr-vp-circle {
    border-radius: 50%;
}

.croppie-container .cr-overlay {
    z-index: 1;
    position: absolute;
    cursor: move;
    touch-action: none;
}

.croppie-container .cr-slider-wrap {
  margin-top: 1em;
  margin-right: auto;
  margin-left: auto;
}

.croppie-result {
    position: relative;
    overflow: hidden;
}

.croppie-result img {
    position: absolute;
}

.croppie-container .cr-image,
.croppie-container .cr-overlay,
.croppie-container .cr-viewport {
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}

/*************************************/
/***** STYLING RANGE INPUT ***********/
/*************************************/
/*http://brennaobrien.com/blog/2014/05/style-input-type-range-in-every-browser.html */
/*************************************/
.cr-slider {
  width: 100%;
  margin: 0px 0;
  background-color: transparent;
  -webkit-appearance: none;
  border-radius: 90px;
}
.cr-slider:focus {
  outline: none;
}
.cr-slider::-webkit-slider-runnable-track {
  background: #e7effd;
  border: 0px solid rgba(1, 1, 1, 0);
  border: 0;
  border-radius: 90px;
  width: 100%;
  height: 32px;
  cursor: pointer;
}
.cr-slider::-webkit-slider-thumb {
  margin-top: 0px;
  width: 32px;
  height: 32px;
  background: #3576ed;
  border: 1.9px solid rgba(0, 30, 0, 0);
  border-radius: 94px;
  transition: transform .3s;
  cursor: pointer;
  -webkit-appearance: none;
}
.nt .cr-slider::-webkit-slider-thumb:hover {
  transform: scale(1.1);
}
.cr-slider:focus::-webkit-slider-runnable-track {
  background: #e6eefd;
}
.cr-slider::-moz-range-track {
  background: #e7effd;
  border: 0px solid rgba(1, 1, 1, 0);
  border: 0;
  width: 100%;
  height: 32px;
  border-radius: 90px;
  cursor: pointer;
}
.cr-slider::-moz-range-thumb {
  width: 32px;
  height: 32px;
  background: #3576ed;
  border: 1.9px solid rgba(0, 30, 0, 0);
  border-radius: 90px;
  transition: transform .3s;
  cursor: pointer;
}
.nt .cr-slider::-moz-range-thumb:hover {
  transform: scale(1.1);
}
.cr-slider::-ms-track {
  background: transparent;
  border-color: transparent;
  border-width: 0px 0;
  color: transparent;
  width: 100%;
  height: 32px;
  border-radius: 90px;
  cursor: pointer;
}
.cr-slider::-ms-fill-lower {
  background: #e7effd;
  border: 0px solid rgba(1, 1, 1, 0);
  border: 0;
}
.cr-slider::-ms-fill-upper {
  background: #e7effd;
  border: 0px solid rgba(1, 1, 1, 0);
  border: 0;
}
.cr-slider::-ms-thumb {
  width: 32px;
  height: 32px;
  background: #3576ed;
  border: 1.9px solid rgba(0, 30, 0, 0);
  border-radius: 90px;
  cursor: pointer;
  transition: transform .3s;
  margin-top: 0px;
  /*Needed to keep the Edge thumb centred*/
}
.nt .cr-slider::-ms-thumb:hover {
  transform: scale(1.1);
}
.cr-slider:focus::-ms-fill-lower {
  background: #e7effd;
}
.cr-slider:focus::-ms-fill-upper {
  background: #e7effd;
}
/*TODO: Use one of the selectors from https://stackoverflow.com/a/20541859/7077589 and figure out
how to remove the virtical space around the range input in IE*/
@supports (-ms-ime-align:auto) {
  /* Pre-Chromium Edge only styles, selector taken from hhttps://stackoverflow.com/a/32202953/7077589 */
  .cr-slider {
    margin: 0;
    /*Edge starts the margin from the thumb, not the track as other browsers do*/
  }
}

/*******************************************/

/***********************************/
/* Rotation Tools */
/***********************************/
.cr-rotate-controls {
	position: absolute;
	bottom: 5px;
	left: 5px;
	z-index: 1;
}
.cr-rotate-controls button {
	border: 0;
	background: none;
}
.cr-rotate-controls i:before {
	display: inline-block;
	font-style: normal;
	font-weight: 900;
	font-size: 22px;
}
.cr-rotate-l i:before {
	content: '↺';
}
.cr-rotate-r i:before {
	content: '↻';
}
